<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://ws.proxy.gazelle.ihe.net/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="ProxyForTMService" targetNamespace="http://ws.proxy.gazelle.ihe.net/">
    <wsdl:types>
        <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://ws.proxy.gazelle.ihe.net/" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://ws.proxy.gazelle.ihe.net/">
            <xs:element name="ChannelType" type="tns:ChannelType"/>
            <xs:element name="channelStarted" type="tns:channelStarted"/>
            <xs:element name="channelStartedResponse" type="tns:channelStartedResponse"/>
            <xs:element name="getAllActiveChannels" type="tns:getAllActiveChannels"/>
            <xs:element name="getAllActiveChannelsResponse" type="tns:getAllActiveChannelsResponse"/>
            <xs:element name="getMaxProxyPort" type="tns:getMaxProxyPort"/>
            <xs:element name="getMaxProxyPortResponse" type="tns:getMaxProxyPortResponse"/>
            <xs:element name="getMinProxyPort" type="tns:getMinProxyPort"/>
            <xs:element name="getMinProxyPortResponse" type="tns:getMinProxyPortResponse"/>
            <xs:element name="markTestStep" type="tns:markTestStep"/>
            <xs:element name="markTestStepResponse" type="tns:markTestStepResponse"/>
            <xs:element name="startAllChannels" type="tns:startAllChannels"/>
            <xs:element name="startAllChannelsResponse" type="tns:startAllChannelsResponse"/>
            <xs:element name="startTestInstance" type="tns:startTestInstance"/>
            <xs:element name="startTestInstanceResponse" type="tns:startTestInstanceResponse"/>
            <xs:complexType name="getMaxProxyPort">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="getMaxProxyPortResponse">
                <xs:sequence>
                    <xs:element minOccurs="0" name="return" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="channelStarted">
                <xs:sequence>
                    <xs:element name="proxyPort" type="xs:int"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="channelStartedResponse">
                <xs:sequence>
                    <xs:element name="return" type="xs:boolean"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="getAllActiveChannels">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="getAllActiveChannelsResponse">
                <xs:sequence>
                    <xs:element maxOccurs="unbounded" minOccurs="0" name="channels" type="tns:configuration"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="configuration">
                <xs:sequence>
                    <xs:element name="id" type="xs:int"/>
                    <xs:element minOccurs="0" name="name" type="xs:string"/>
                    <xs:element minOccurs="0" name="type" type="tns:ChannelType"/>
                    <xs:element minOccurs="0" name="host" type="xs:string"/>
                    <xs:element minOccurs="0" name="hostname" type="xs:string"/>
                    <xs:element name="port" type="xs:int"/>
                    <xs:element name="proxyPort" type="xs:int"/>
                    <xs:element name="securedChannel" type="xs:boolean"/>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="additionalParameters" type="tns:parameter"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="parameter">
                <xs:sequence>
                    <xs:element minOccurs="0" name="key" type="xs:string"/>
                    <xs:element minOccurs="0" name="value" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="startAllChannels">
                <xs:sequence>
                    <xs:element maxOccurs="unbounded" minOccurs="0" name="configurationsList" type="tns:configuration"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="startAllChannelsResponse">
                <xs:sequence>
                    <xs:element maxOccurs="unbounded" minOccurs="0" name="startedChannels" type="tns:configuration"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="startTestInstance">
                <xs:sequence>
                    <xs:element minOccurs="0" name="testInstance" type="tns:testInstance"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="testInstance">
                <xs:sequence>
                    <xs:element name="id" type="xs:int"/>
                    <xs:element maxOccurs="unbounded" minOccurs="0" name="configurations" type="tns:configuration"/>
                    <xs:element maxOccurs="unbounded" minOccurs="0" name="steps" type="tns:step"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="step">
                <xs:sequence>
                    <xs:element name="id" type="xs:int"/>
                    <xs:element minOccurs="0" name="stepIndex" type="xs:int"/>
                    <xs:element maxOccurs="unbounded" minOccurs="0" name="senderIds" type="xs:int"/>
                    <xs:element maxOccurs="unbounded" minOccurs="0" name="receiverIds" type="xs:int"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="startTestInstanceResponse">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="markTestStep">
                <xs:sequence>
                    <xs:element name="testStepId" type="xs:int"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="markTestStepResponse">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="getMinProxyPort">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="getMinProxyPortResponse">
                <xs:sequence>
                    <xs:element minOccurs="0" name="return" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:simpleType name="ChannelType">
                <xs:restriction base="xs:string">
                    <xs:enumeration value="DICOM"/>
                    <xs:enumeration value="HL7v2"/>
                    <xs:enumeration value="SYSLOG"/>
                    <xs:enumeration value="HTTP"/>
                    <xs:enumeration value="RAW_TCP"/>
                    <xs:enumeration value="TLS_ERROR"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:element name="SOAPException" type="tns:SOAPException"/>
            <xs:complexType name="SOAPException">
                <xs:sequence>
                    <xs:element name="message" nillable="true" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:element name="ProxyTLSConfigException" type="tns:ProxyTLSConfigException"/>
            <xs:complexType name="ProxyTLSConfigException">
                <xs:sequence/>
            </xs:complexType>
            <xs:element name="TestInstanceConfigurationException" type="tns:TestInstanceConfigurationException"/>
            <xs:complexType name="TestInstanceConfigurationException">
                <xs:sequence/>
            </xs:complexType>
        </xs:schema>
    </wsdl:types>
    <wsdl:message name="startAllChannels">
        <wsdl:part element="tns:startAllChannels" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="startTestInstanceResponse">
        <wsdl:part element="tns:startTestInstanceResponse" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="SOAPException">
        <wsdl:part element="tns:SOAPException" name="SOAPException"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="markTestStepResponse">
        <wsdl:part element="tns:markTestStepResponse" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getMinProxyPortResponse">
        <wsdl:part element="tns:getMinProxyPortResponse" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="markTestStep">
        <wsdl:part element="tns:markTestStep" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getAllActiveChannels">
        <wsdl:part element="tns:getAllActiveChannels" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getMaxProxyPortResponse">
        <wsdl:part element="tns:getMaxProxyPortResponse" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getAllActiveChannelsResponse">
        <wsdl:part element="tns:getAllActiveChannelsResponse" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getMaxProxyPort">
        <wsdl:part element="tns:getMaxProxyPort" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="TestInstanceConfigurationException">
        <wsdl:part element="tns:TestInstanceConfigurationException" name="TestInstanceConfigurationException"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="channelStartedResponse">
        <wsdl:part element="tns:channelStartedResponse" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getMinProxyPort">
        <wsdl:part element="tns:getMinProxyPort" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="ProxyTLSConfigException">
        <wsdl:part element="tns:ProxyTLSConfigException" name="ProxyTLSConfigException"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="startTestInstance">
        <wsdl:part element="tns:startTestInstance" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="channelStarted">
        <wsdl:part element="tns:channelStarted" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:message name="startAllChannelsResponse">
        <wsdl:part element="tns:startAllChannelsResponse" name="parameters"> </wsdl:part>
    </wsdl:message>
    <wsdl:portType name="ProxyForTM">
        <wsdl:operation name="getMaxProxyPort">
            <wsdl:input message="tns:getMaxProxyPort" name="getMaxProxyPort"> </wsdl:input>
            <wsdl:output message="tns:getMaxProxyPortResponse" name="getMaxProxyPortResponse"> </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="channelStarted">
            <wsdl:input message="tns:channelStarted" name="channelStarted"> </wsdl:input>
            <wsdl:output message="tns:channelStartedResponse" name="channelStartedResponse"> </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getAllActiveChannels">
            <wsdl:input message="tns:getAllActiveChannels" name="getAllActiveChannels"> </wsdl:input>
            <wsdl:output message="tns:getAllActiveChannelsResponse" name="getAllActiveChannelsResponse"> </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="startAllChannels">
            <wsdl:input message="tns:startAllChannels" name="startAllChannels"> </wsdl:input>
            <wsdl:output message="tns:startAllChannelsResponse" name="startAllChannelsResponse"> </wsdl:output>
            <wsdl:fault message="tns:SOAPException" name="SOAPException"> </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="startTestInstance">
            <wsdl:input message="tns:startTestInstance" name="startTestInstance"> </wsdl:input>
            <wsdl:output message="tns:startTestInstanceResponse" name="startTestInstanceResponse"> </wsdl:output>
            <wsdl:fault message="tns:ProxyTLSConfigException" name="ProxyTLSConfigException"> </wsdl:fault>
            <wsdl:fault message="tns:TestInstanceConfigurationException" name="TestInstanceConfigurationException"> </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="markTestStep">
            <wsdl:input message="tns:markTestStep" name="markTestStep"> </wsdl:input>
            <wsdl:output message="tns:markTestStepResponse" name="markTestStepResponse"> </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getMinProxyPort">
            <wsdl:input message="tns:getMinProxyPort" name="getMinProxyPort"> </wsdl:input>
            <wsdl:output message="tns:getMinProxyPortResponse" name="getMinProxyPortResponse"> </wsdl:output>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="ProxyForTMServiceSoapBinding" type="tns:ProxyForTM">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="getMaxProxyPort">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="getMaxProxyPort">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getMaxProxyPortResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="channelStarted">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="channelStarted">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="channelStartedResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getAllActiveChannels">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="getAllActiveChannels">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getAllActiveChannelsResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="startAllChannels">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="startAllChannels">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="startAllChannelsResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="SOAPException">
                <soap:fault name="SOAPException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="startTestInstance">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="startTestInstance">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="startTestInstanceResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="ProxyTLSConfigException">
                <soap:fault name="ProxyTLSConfigException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="TestInstanceConfigurationException">
                <soap:fault name="TestInstanceConfigurationException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="markTestStep">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="markTestStep">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="markTestStepResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="getMinProxyPort">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="getMinProxyPort">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getMinProxyPortResponse">
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="ProxyForTMService">
        <wsdl:port binding="tns:ProxyForTMServiceSoapBinding" name="ProxyForTMPort">
            <soap:address location="http://localhost:8180/gazelle-proxy-ejb/ProxyForTM"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>